
Katello - Bug #23873

Cannot destroy content view when it has content facet errata

06/11/2018 03:30 AM - Jonathon Turel

Status: Closed   

Priority: Normal   

Assignee: Jonathon Turel   

Category: Content Views   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/743
Description

Found in nightly:

PG::ForeignKeyViolation: ERROR:  update or delete on table "katello_content_facets" violates forei

gn key constraint "katello_content_facet_errata_ca_id" on table "katello_content_facet_errata" 

DETAIL:  Key (id)=(1) is still referenced from table "katello_content_facet_errata".

: DELETE FROM "katello_content_facets" WHERE "katello_content_facets"."content_view_id" = $1 AND "

katello_content_facets"."host_id" = 1 (ActiveRecord::InvalidForeignKey)

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:616:in `async_exec'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:616:in `block (2 levels) in exec_no_cache'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/dependen

cies/interlock.rb:46:in `block in permit_concurrent_loads'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/concurre

ncy/share_lock.rb:185:in `yield_shares'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/dependen

cies/interlock.rb:45:in `permit_concurrent_loads'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:615:in `block in exec_no_cache'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract_adapter.rb:613:in `block (2 levels) in log'

/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in `mon_synchronize'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract_adapter.rb:612:in `block in log'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.6/lib/active_support/notifica

tions/instrumenter.rb:21:in `instrument'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract_adapter.rb:604:in `log'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:614:in `exec_no_cache'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql_adapter.rb:603:in `execute_and_clear'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/postgresql/database_statements.rb:92:in `exec_delete'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract/database_statements.rb:145:in `delete'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/connection

_adapters/abstract/query_cache.rb:17:in `delete'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/relation.r

b:510:in `delete_all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio

ns/has_many_through_association.rb:160:in `delete_records'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio

ns/has_many_through_association.rb:133:in `delete_or_nullify_all_records'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio
ns/collection_association.rb:159:in `delete_all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio

ns/collection_proxy.rb:500:in `delete_all'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.6/lib/active_record/associatio

ns/collection_proxy.rb:1071:in `clear'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0/app/lib/actions/katello/content_view/re

move.rb:70:in `block in plan'

Related issues:

Has duplicate Katello - Bug #23853: Organization delete fails with "update or... Duplicate 06/07/2018

Associated revisions

Revision 69cd04b3 - 06/11/2018 05:10 PM - Jonathon Turel

Fixes #23873 - Cannot remove content view on org destroy

History

#1 - 06/11/2018 03:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7435 added

#2 - 06/11/2018 06:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|69cd04b32cda02492f8010aec650f2fd82e36423.

#3 - 06/12/2018 12:40 AM - Justin Sherrill

- Has duplicate Bug #23853: Organization delete fails with "update or delete on table "katello_content_facets" violates foreign key constraint

"katello_content_facet_errata_ca_id"" added
